﻿using System.Web;
using System.Web.Mvc;
using System.Web.UI;

namespace WebFormsMVCDemo.MyMvcApp
{
	public partial class _Default : Page
	{
		public void Page_Load(object sender, System.EventArgs e)
		{
			string pathToRewriteTo = Request.Path.ToLowerInvariant().Replace("default.aspx", "Home/Index");
			HttpContext.Current.RewritePath(pathToRewriteTo, false);
			IHttpHandler httpHandler = new MvcHttpHandler();
			httpHandler.ProcessRequest(HttpContext.Current);
		}
	}
}